Support

To run jOrdrs you need at least an iPad 2 or iPad mini with Wi‑Fi + Cellular and System iOS 7 or higher.

Your name (Required)

Your Email address (Required)

Select topic:

Your question: